Summary: Library for tracking application startup
Name: startup-notification
Version: 0.12
Release: 5%{?dist}
URL: http://www.freedesktop.org/software/startup-notification/
Source0: http://www.freedesktop.org/software/startup-notification/releases/%{name}-%{version}.tar.gz
License: LGPLv2

BuildRequires: make gcc
BuildRequires: libX11-devel libXt-devel xcb-util-devel

%description
startup-notification contains a reference implementation of the startup
notification protocol. The reference implementation is mostly under an
X Window System style license, and has no special dependencies.

This library does not yet make ABI guarantees, but may at some point in
the future.

%package devel
Summary: Development portions of startup-notification
Requires: %{name} = %{version}-%{release}
Requires: libX11-devel
Requires: pkgconfig

%description devel
This package providess header files and static libraries for libstartup-notification.

%prep
%autosetup

%build
%configure --disable-static
%make_build

%install
%make_install
/bin/rm -f %{buildroot}%{_libdir}/*.{a,la}


%files
%license COPYING
%doc doc/startup-notification.txt
%doc AUTHORS ChangeLog NEWS
%{_libdir}/lib*.so.*

%files devel
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.12-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.12-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.12-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.12-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 5 2022 cunshunxia <cunshunxia@tencent.com> - 0.12-1
- initial build
